function pest_control_services_openNav() {
  jQuery(".sidenav").addClass('show');
}
function pest_control_services_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function pest_control_services_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const pest_control_services_nav = document.querySelector( '.sidenav' );

      if ( ! pest_control_services_nav || ! pest_control_services_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...pest_control_services_nav.querySelectorAll( 'input, a, button' )],
        pest_control_services_lastEl = elements[ elements.length - 1 ],
        pest_control_services_firstEl = elements[0],
        pest_control_services_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && pest_control_services_lastEl === pest_control_services_activeEl ) {
        e.preventDefault();
        pest_control_services_firstEl.focus();
      }

      if ( shiftKey && tabKey && pest_control_services_firstEl === pest_control_services_activeEl ) {
        e.preventDefault();
        pest_control_services_lastEl.focus();
      }
    } );
  }
  pest_control_services_keepFocusInMenu();
} )( window, document );

var pest_control_services_btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    pest_control_services_btn.addClass('show');
  } else {
    pest_control_services_btn.removeClass('show');
  }
});

pest_control_services_btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
  jQuery(".loading2").delay(2000).fadeOut("slow");
});

jQuery(document).ready(function() {
    var owl = jQuery('#top-slider .owl-carousel');
    owl.owlCarousel({
    margin: 0,
    nav:true,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: false,
    dots: false,
    navText : ['<i class="fas fa-arrow-right" aria-hidden="true"></i>','<i class="fas fa-arrow-left" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 1
      },
      768: {
        items: 1
      },
      1000: {
        items: 1
      },
      1200: {
        items: 1
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true
  });
})

jQuery('.header-search-wrapper .search-main').click(function(){
    jQuery('.search-form-main').toggleClass('active-search');
    jQuery('.search-form-main .search-field').focus();
});

if(document.getElementById("openModalButton")) {
  if(document.getElementById("openModalButton").getAttribute('data-modal-src')) {
    var modal=document.getElementById("myModal")
    var openModalButton=document.getElementById("openModalButton")
    var closeModalButton=document.getElementById("closeModalButton");
    openModalButton.addEventListener("click",function(){
      let e=jQuery(this).attr("data-modal-src");
      document.getElementById("videoPlayer").src=e
      modal.style.display="block"
    })
    closeModalButton.addEventListener("click",function(){
      document.getElementById("videoPlayer").src=""
      modal.style.display="none"
    })
    window.addEventListener("click",function(e){
      if(e.target==modal) {
        modal.style.display="none"
      } else {
        document.getElementById("videoPlayer").src=""
      }
    });
  }
}

jQuery(window).scroll(function() {
  var data_sticky = jQuery('.main-header').attr('data-sticky');

  if (data_sticky == "true") {
    if (jQuery(this).scrollTop() > 1){
      jQuery('.main-header').addClass("stick_header");
    } else {
      jQuery('.main-header').removeClass("stick_header");
    }
  }
});